System.Core 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/SwitchExpressionProxy)) To be added.

Represents a control expression that handles multiple selections by passing control to .

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.SwitchCase> To be added. To be added.

  Gets the collection of objects for the switch.

- Property
  4.0.0.0
  System.Reflection.MethodInfo To be added. To be added.

  Gets the equality comparison method, if any.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the test for the switch.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this Expression. Extension nodes should return when overriding this method.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the test for the switch.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.SwitchExpression `` `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result. The property of the result.